Open CASCADE Technology: Intrv_Intervals Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Intrv_Intervals Class Reference

The class Intervals is a sorted sequence of non overlapping Real Intervals. More...

`#include <Intrv_Intervals.hxx>`

## Public Member Functions
| Intrv_Intervals ()
| Creates a void sequence of intervals. More...
| Intrv_Intervals (const Intrv_Interval &Int)
| Creates a sequence of one interval. More...
| Intrv_Intervals (const Intrv_Intervals &Int)
| Creates by copying an existing sequence of intervals. More...
void | Intersect (const Intrv_Interval &Tool)
| Intersects the intervals with the interval <Tool>. More...
void | Intersect (const Intrv_Intervals &Tool)
| Intersects the intervals with the intervals in the sequence <Tool>. More...
void | Subtract (const Intrv_Interval &Tool)
void | Subtract (const Intrv_Intervals &Tool)
void | Unite (const Intrv_Interval &Tool)
void | Unite (const Intrv_Intervals &Tool)
void | XUnite (const Intrv_Interval &Tool)
void | XUnite (const Intrv_Intervals &Tool)
Standard_Integer | NbIntervals () const
const Intrv_Interval & | Value (const Standard_Integer Index) const

## Detailed Description

The class Intervals is a sorted sequence of non overlapping Real Intervals.

## Constructor & Destructor Documentation

Intrv_Intervals::Intrv_Intervals | ( |  | ) |

Creates a void sequence of intervals.

Intrv_Intervals::Intrv_Intervals | ( | const Intrv_Interval & | Int | ) |

Creates a sequence of one interval.

Intrv_Intervals::Intrv_Intervals | ( | const Intrv_Intervals & | Int | ) |

Creates by copying an existing sequence of intervals.

## Member Function Documentation

void Intrv_Intervals::Intersect | ( | const Intrv_Interval & | Tool | ) |

Intersects the intervals with the interval <Tool>.

void Intrv_Intervals::Intersect | ( | const Intrv_Intervals & | Tool | ) |

Intersects the intervals with the intervals in the sequence <Tool>.

Standard_Integer Intrv_Intervals::NbIntervals | ( |  | ) | const

void Intrv_Intervals::Subtract | ( | const Intrv_Interval & | Tool | ) |

void Intrv_Intervals::Subtract | ( | const Intrv_Intervals & | Tool | ) |

void Intrv_Intervals::Unite | ( | const Intrv_Interval & | Tool | ) |

void Intrv_Intervals::Unite | ( | const Intrv_Intervals & | Tool | ) |

const Intrv_Interval& Intrv_Intervals::Value | ( | const Standard_Integer | Index | ) | const

void Intrv_Intervals::XUnite | ( | const Intrv_Interval & | Tool | ) |

void Intrv_Intervals::XUnite | ( | const Intrv_Intervals & | Tool | ) |

The documentation for this class was generated from the following file:

- Intrv_Intervals.hxx